[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TimePopup' (#lcl)

# ShowTimePopup

Creates, initializes, and displays a TTimePopupForm instance.

## Declaration

Source position: timepopup.pas line 69

`procedure ShowTimePopup(`
`const Position: TPoint;`
`ATime: TDateTime;`
`const DoubleBufferedForm: Boolean;`
`const OnReturnTime: TReturnTimeEvent;`
`const OnShowHide: TNotifyEvent = Nil;`
`SimpleLayout: Boolean = True;`
`ACaller: TControl = Nil;`
`AMPM: Boolean = False;`
`AMString: string = '';`
`PMString: string = ''`
`);`

## Arguments

`Position` |  | Coordinates where the form is displayed.
`ATime` |  | Initial time value for the form.
`DoubleBufferedForm` |  | Indicates if DoubleBuffered is enabled in the form instance.
`OnReturnTime` |  | Event handler signalled when the time value is changed.
`OnShowHide` |  | Event handler signalled when the form is show or hidden.
`SimpleLayout` |  | True indicates the simple (compact) layout is used for the Minute grid on the form.
`ACaller` |  | Control with the time value updated using the pop-up form.
`AMPM` |  | True if 12-hour clock values are used in the Hour grid for the form.
`AMString` |  | Suffix used for before midday (ante meridiem) time values.
`PMString` |  | Suffix used for after midday (post meridiem) time values.

## Description

ShowTimePopup is a routine used to create, initialize, and display a TTimePopupForm instance. Arguments passed to the routine identify the time value and the control associated with the pop-up, event handlers assigned to the form instance, and the layout and position for the form.

## See also

TTimePopupForm |  | Implements a form displayed to capture a time value.
TReturnTimeEvent |  | Specifies an event handler signalled to get a time return value.